Support for accent insensitive search with PostgreSQL
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Search engine Estimated time: 0.00 hour
Target version: 3.0.0

Resolution: Fixed

Description

Redmine should use the unaccent() function to do accent insensitive search if the unaccent extension is installed.

This extension is available in PostgreSQL 9 and can be installed with:

CREATE EXTENSION IF NOT EXISTS unaccent;

Associated revisions

Revision 13989 - 2015-02-08 16:13 - Jean-Philippe Lang
Support for accent insensitive search with PostgreSQL (#18801).

If the unaccent extension is installed, the search engine will use it in order to do accent insensitive search.

History

#1 - 2015-01-11 11:27 - Jean-Philippe Lang
- Category set to Search engine

- Assignee set to Jean-Philippe Lang

#2 - 2015-02-08 16:14 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Feature added in r13989. If the extension is installed, Redmine will automatically uses unaccent() when performing a search.
